using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;
using Syncfusion.Web.UI.WebControls.Tools;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using System.Drawing;
using Syncfusion.XlsIO;
using Syncfusion.GroupingGridExcelConverter;
using System.Collections;
using Syncfusion.GridExcelConverter;

public partial class test : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        
        if (!IsPostBack)
        {
            
           if (BuildCustomerListTree() == false)
            {
                //Error getting the Customer information
            }
        }
    }


    protected bool BuildCustomerListTree()
    {
        TreeView1.CssClass = "TreeView";
        TreeView1.Height = 275;
        TreeView1.Width = 220;
        TreeView1.EditNode = false;
        //Access the Dataaccess class
        DataAccessCL.CustomerInfo cust = new DataAccessCL.CustomerInfo();
        List<string> CompanyList = cust.GetCompanyNames();
        if (CompanyList.Count > 0)
        {
            foreach (string comp in CompanyList)
            {
                TreeViewNode rootNode = new TreeViewNode();
                rootNode.Expanded = false;
                rootNode.Look = "common";
                rootNode.Text = comp.ToString();
                rootNode.Value = comp.ToString();
                TreeView1.Items.Add(rootNode);
                List<string> RegionList = cust.GetRegionNames(comp);
                foreach (string region in RegionList)
                {
                    Syncfusion.Web.UI.WebControls.Tools.TreeViewNode ChildNode1 = new Syncfusion.Web.UI.WebControls.Tools.TreeViewNode();
                    ChildNode1.Text = region.ToString();
                    ChildNode1.Look = "common";
                    ChildNode1.Value = region.ToString();
                    rootNode.Items.Add(ChildNode1);
                    Dictionary<int, string> MSCList = cust.GetMSCNames(comp, region);
                    foreach (KeyValuePair<int, string> pair in MSCList)
                    {
                        Syncfusion.Web.UI.WebControls.Tools.TreeViewNode ChildNode2 = new Syncfusion.Web.UI.WebControls.Tools.TreeViewNode();
                        int id = pair.Key;
                        string name = pair.Value;
                        ChildNode2.Text = name;
                        ChildNode2.Look = "common";
                        ChildNode2.Value = id.ToString();
                        ChildNode2.ClientOnItemSelect = "Onselect(this)";
                        ChildNode1.Items.Add(ChildNode2);
                    }
                }
            }
            return true;
        }
        else
        {
            return false;
        }
    }

    protected void Calendar1_SelectionChanged(object sender, EventArgs e)
    {
        Mygeneric.Text = Calendar1.SelectedDate.ToString("dd/MM/yy");
    }
    protected void Calendar1_VisibleMonthChanged(object sender, MonthChangedEventArgs e)
    {
        this.Mygeneric.InitiallyPopupShown = true;
        this.Calendar1.DataBind();
    }

    protected void FillScheduleDataTable()
    {
        int siteId = Convert.ToInt32(this.TreeView1.SelectedNode.Value);
        DataAccessCL.PNPASchedule1 objPNPASchedule = new DataAccessCL.PNPASchedule1();
        ArrayList alEndDays = objPNPASchedule.GetEndDays(siteId);
        Session["_PNPA_Schedule_EndDay_ArrayList_"] = alEndDays;
        this.Calendar1.DataBind();
    }
    protected void Calendar1_DayRender(object sender, DayRenderEventArgs e)
    {
        e.Day.IsSelectable = false;
        if (Session["_PNPA_Schedule_EndDay_ArrayList_"] != null)
        {
            foreach (DateTime endDay in (ArrayList)Session["_PNPA_Schedule_EndDay_ArrayList_"])
            {
                if (e.Day.Date == endDay)
                    e.Day.IsSelectable = true;
            }
        }

        if (e.Day.Date != this.Calendar1.SelectedDate)
            e.Cell.BackColor = e.Day.IsSelectable ? Color.LightSkyBlue : Color.Transparent;
    }
    protected void CallbackPanel1_CallbackRefresh(object sender, Syncfusion.Web.UI.WebControls.Tools.CancellableCallbackEventArgs e)
    {
        FillScheduleDataTable();
        ((IPostBackEventHandler)this.Calendar1).RaisePostBackEvent(e.CallbackArgument);
    }
}
